# GoogleChartData Class Reference

Inheritance diagram for GoogleChartData:
[legend]

List of all members.

## Public Member Functions

| setDataScaling ($scale=true)
| withDataScaling ()
| setNormalize ($orly=true)
| isNormalized ()
| addDataSet (GoogleChartDataSet $set)
| getDataSetByIndex ($index)
| getCount ()
| toString ()
| getMaxSteps ()

## Static Public Member Functions

static | create ()

## Protected Attributes

| $name = 'chd'

## Private Member Functions

| normalize ()

## Private Attributes

| $sets = array()
| $dataScaling = false
| $normalize = false

## Detailed Description

Definition at line 15 of file GoogleChartData.class.php.

## Member Function Documentation

GoogleChartData::addDataSet | ( | GoogleChartDataSet $ | set | ) |

Returns:
  GoogleChartData

Definition at line 66 of file GoogleChartData.class.php.

static GoogleChartData::create | ( |  | ) | `[static]`

Returns:
  GoogleChartData

Reimplemented from BaseGoogleChartData.

Definition at line 28 of file GoogleChartData.class.php.

GoogleChartData::getCount | ( |  | ) |

Definition at line 83 of file GoogleChartData.class.php.

GoogleChartData::getDataSetByIndex | ( | $ | index | ) |

Definition at line 73 of file GoogleChartData.class.php.

GoogleChartData::getMaxSteps | ( |  | ) |

Definition at line 120 of file GoogleChartData.class.php.

Referenced by normalize().

GoogleChartData::isNormalized | ( |  | ) |

Definition at line 58 of file GoogleChartData.class.php.

GoogleChartData::normalize | ( |  | ) | `[private]`

Returns:
  GoogleChartData

Definition at line 135 of file GoogleChartData.class.php.

References getMaxSteps().

Referenced by setNormalize(), and toString().

Here is the call graph for this function:

GoogleChartData::setDataScaling | ( | $ | scale = `true` | ) |

Returns:
  GoogleChartData

Definition at line 36 of file GoogleChartData.class.php.

GoogleChartData::setNormalize | ( | $ | orly = `true` | ) |

Returns:
  GoogleChartData

Definition at line 51 of file GoogleChartData.class.php.

References normalize().

Here is the call graph for this function:

GoogleChartData::toString | ( |  | ) |

Implements Stringable.

Definition at line 88 of file GoogleChartData.class.php.

References Assert::isNotNull(), and normalize().

Here is the call graph for this function:

GoogleChartData::withDataScaling | ( |  | ) |

Definition at line 43 of file GoogleChartData.class.php.

## Member Data Documentation

GoogleChartData::$dataScaling = false`[private]`

Definition at line 21 of file GoogleChartData.class.php.

GoogleChartData::$name = 'chd'`[protected]`

Reimplemented from BaseGoogleChartParameter.

Definition at line 17 of file GoogleChartData.class.php.

GoogleChartData::$normalize = false`[private]`

Definition at line 23 of file GoogleChartData.class.php.

GoogleChartData::$sets = array()`[private]`

Definition at line 19 of file GoogleChartData.class.php.

The documentation for this class was generated from the following file:

- main/Charts/Google/GoogleChartData.class.php